Bug 1857201 - APIServerServiceUnavailableErrorjava error makes ImageChangesInProgress keeping true that blocked the upgrade processed
Summary: APIServerServiceUnavailableErrorjava error makes ImageChangesInProgress keepi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1854857
Blocks: 1871832
TreeView+ depends on / blocked
 
Reported: 2020-07-15 12:57 UTC by OpenShift BugZilla Robot
Modified: 2020-09-08 10:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: intermittent API server errors were reported on the wrong condition (ImageChangesInProgress instead of SamplesExists) of the cluster operator config object. Consequence: when API server communication returned and all the samples were installed, the samples operator would fail to switch Progressing to false because there was unexpected data in its ImageChangesInProgress condition, and upgrades would incorrectly be marked as incomplete. Fix: code change was made to update SamplesExists with error reports on APIServer communication Result: upgrades are no longer blocked if intermittent APIServer errors occur while samples operator is upgrading.
Clone Of:
Environment:
Last Closed: 2020-09-08 10:54:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 304 None closed [release-4.5] Bug 1857201: initial create errors should map to SamplesExists instead of ImageChangesInProgress 2020-09-21 11:52:59 UTC
Red Hat Product Errata RHBA-2020:3510 None None None 2020-09-08 10:54:25 UTC

Comment 3 XiuJuan Wang 2020-08-24 08:31:09 UTC
Delete apiserver pods during samples operator removing or creating imagestream, the APISERVER error reports in samplesexist part.

    - lastTransitionTime: "2020-08-24T08:29:19Z"
      lastUpdateTime: "2020-08-24T08:29:19Z"
      message: 'imagestream create error: the server is currently unable to handle the request (post imagestreams.image.openshift.io)'
      reason: APIServerServiceUnavailableError
      status: Unknown
      type: SamplesExist

Verified in 4.5.0-0.nightly-2020-08-20-031121 version

Comment 5 errata-xmlrpc 2020-09-08 10:54:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.8 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3510


Note You need to log in before you can comment on or make changes to this bug.